| FFmpegKit Linux API 6.0

Loading...
Searching...
No Matches
Data Structures | Data Fields
InputStream Struct Reference

`#include <fftools_ffmpeg.h>`

## Data Structures
struct | sub2video

## Data Fields
int | file_index
AVStream * | st
int | discard
int | user_set_discard
int | decoding_needed
int | processing_needed
int | want_frame_data
AVCodecParameters * | par
AVCodecContext * | dec_ctx
const AVCodec * | dec
AVFrame * | decoded_frame
AVPacket * | pkt
AVRational | framerate_guessed
int64_t | prev_pkt_pts
int64_t | start
int64_t | next_dts
int64_t | first_dts
| dts of the first packet read for this stream (in AV_TIME_BASE units)
int64_t | dts
| dts of the last packet read for this stream (in AV_TIME_BASE units)
int64_t | next_pts
| synthetic pts for the next decode frame (in AV_TIME_BASE units)
int64_t | pts
| current pts of the decoded frame (in AV_TIME_BASE units)
int | wrap_correction_done
int | last_pkt_repeat_pict
int64_t | filter_in_rescale_delta_last
int64_t | min_pts
int64_t | max_pts
int64_t | cfr_next_pts
int64_t | nb_samples
double | ts_scale
int | saw_first_ts
AVDictionary * | decoder_opts
AVRational | framerate
int | top_field_first
int | guess_layout_max
int | autorotate
int | fix_sub_duration
struct { |
int got_output |
int ret |
AVSubtitle subtitle |
} | prev_sub |
struct InputStream::sub2video | sub2video
InputFilter ** | filters
int | nb_filters
int | reinit_filters
enum HWAccelID | hwaccel_id
enum AVHWDeviceType | hwaccel_device_type
char * | hwaccel_device
enum AVPixelFormat | hwaccel_output_format
int(* | hwaccel_retrieve_data )(AVCodecContext *s, AVFrame *frame)
enum AVPixelFormat | hwaccel_pix_fmt
uint64_t | data_size
uint64_t | nb_packets
uint64_t | frames_decoded
uint64_t | samples_decoded
int64_t * | dts_buffer
int | nb_dts_buffer

## Detailed Description

Definition at line 384 of file fftools_ffmpeg.h.

## Field Documentation

## ◆ autorotate

int InputStream::autorotate

Definition at line 445 of file fftools_ffmpeg.h.

## ◆ cfr_next_pts

int64_t InputStream::cfr_next_pts

Definition at line 434 of file fftools_ffmpeg.h.

## ◆ data_size

uint64_t InputStream::data_size

Definition at line 481 of file fftools_ffmpeg.h.

## ◆ dec

const AVCodec* InputStream::dec

Definition at line 403 of file fftools_ffmpeg.h.

## ◆ dec_ctx

AVCodecContext * InputStream::dec_ctx

Definition at line 402 of file fftools_ffmpeg.h.

## ◆ decoded_frame

AVFrame* InputStream::decoded_frame

Definition at line 404 of file fftools_ffmpeg.h.

## ◆ decoder_opts

AVDictionary* InputStream::decoder_opts

Definition at line 440 of file fftools_ffmpeg.h.

## ◆ decoding_needed

int InputStream::decoding_needed

Definition at line 389 of file fftools_ffmpeg.h.

## ◆ discard

int InputStream::discard

Definition at line 387 of file fftools_ffmpeg.h.

## ◆ dts

int64_t InputStream::dts

dts of the last packet read for this stream (in AV_TIME_BASE units)

Definition at line 415 of file fftools_ffmpeg.h.

## ◆ dts_buffer

int64_t* InputStream::dts_buffer

Definition at line 488 of file fftools_ffmpeg.h.

## ◆ file_index

int InputStream::file_index

Definition at line 385 of file fftools_ffmpeg.h.

## ◆ filter_in_rescale_delta_last

int64_t InputStream::filter_in_rescale_delta_last

Definition at line 427 of file fftools_ffmpeg.h.

## ◆ filters

InputFilter** InputStream::filters

Definition at line 465 of file fftools_ffmpeg.h.

## ◆ first_dts

int64_t InputStream::first_dts

dts of the first packet read for this stream (in AV_TIME_BASE units)

Definition at line 414 of file fftools_ffmpeg.h.

## ◆ fix_sub_duration

int InputStream::fix_sub_duration

Definition at line 447 of file fftools_ffmpeg.h.

## ◆ framerate

AVRational InputStream::framerate

Definition at line 441 of file fftools_ffmpeg.h.

## ◆ framerate_guessed

AVRational InputStream::framerate_guessed

Definition at line 407 of file fftools_ffmpeg.h.

## ◆ frames_decoded

uint64_t InputStream::frames_decoded

Definition at line 485 of file fftools_ffmpeg.h.

## ◆ got_output

int InputStream::got_output

Definition at line 449 of file fftools_ffmpeg.h.

## ◆ guess_layout_max

int InputStream::guess_layout_max

Definition at line 443 of file fftools_ffmpeg.h.

## ◆ hwaccel_device

char* InputStream::hwaccel_device

Definition at line 473 of file fftools_ffmpeg.h.

## ◆ hwaccel_device_type

enum AVHWDeviceType InputStream::hwaccel_device_type

Definition at line 472 of file fftools_ffmpeg.h.

## ◆ hwaccel_id

enum HWAccelID InputStream::hwaccel_id

Definition at line 471 of file fftools_ffmpeg.h.

## ◆ hwaccel_output_format

enum AVPixelFormat InputStream::hwaccel_output_format

Definition at line 474 of file fftools_ffmpeg.h.

## ◆ hwaccel_pix_fmt

enum AVPixelFormat InputStream::hwaccel_pix_fmt

Definition at line 477 of file fftools_ffmpeg.h.

## ◆ hwaccel_retrieve_data

int(* InputStream::hwaccel_retrieve_data) (AVCodecContext *s, AVFrame *frame)

Definition at line 476 of file fftools_ffmpeg.h.

## ◆ last_pkt_repeat_pict

int InputStream::last_pkt_repeat_pict

Definition at line 425 of file fftools_ffmpeg.h.

## ◆ max_pts

int64_t InputStream::max_pts

Definition at line 430 of file fftools_ffmpeg.h.

## ◆ min_pts

int64_t InputStream::min_pts

Definition at line 429 of file fftools_ffmpeg.h.

## ◆ nb_dts_buffer

int InputStream::nb_dts_buffer

Definition at line 489 of file fftools_ffmpeg.h.

## ◆ nb_filters

int InputStream::nb_filters

Definition at line 466 of file fftools_ffmpeg.h.

## ◆ nb_packets

uint64_t InputStream::nb_packets

Definition at line 483 of file fftools_ffmpeg.h.

## ◆ nb_samples

int64_t InputStream::nb_samples

Definition at line 436 of file fftools_ffmpeg.h.

## ◆ next_dts

int64_t InputStream::next_dts

Definition at line 413 of file fftools_ffmpeg.h.

## ◆ next_pts

int64_t InputStream::next_pts

synthetic pts for the next decode frame (in AV_TIME_BASE units)

Definition at line 417 of file fftools_ffmpeg.h.

## ◆ par

AVCodecParameters* InputStream::par

Codec parameters - to be used by the decoding/streamcopy code. st->codecpar should not be accessed, because it may be modified concurrently by the demuxing thread.

Definition at line 401 of file fftools_ffmpeg.h.

## ◆ pkt

AVPacket* InputStream::pkt

Definition at line 405 of file fftools_ffmpeg.h.

## ◆ prev_pkt_pts

int64_t InputStream::prev_pkt_pts

Definition at line 409 of file fftools_ffmpeg.h.

## ◆ [struct]

struct { ... } InputStream::prev_sub

## ◆ processing_needed

int InputStream::processing_needed

Definition at line 392 of file fftools_ffmpeg.h.

## ◆ pts

int64_t InputStream::pts

current pts of the decoded frame (in AV_TIME_BASE units)

Definition at line 418 of file fftools_ffmpeg.h.

## ◆ reinit_filters

int InputStream::reinit_filters

Definition at line 468 of file fftools_ffmpeg.h.

## ◆ ret

int InputStream::ret

Definition at line 450 of file fftools_ffmpeg.h.

## ◆ samples_decoded

uint64_t InputStream::samples_decoded

Definition at line 486 of file fftools_ffmpeg.h.

## ◆ saw_first_ts

int InputStream::saw_first_ts

Definition at line 439 of file fftools_ffmpeg.h.

## ◆ st

AVStream * InputStream::st

Definition at line 386 of file fftools_ffmpeg.h.

## ◆ start

int64_t InputStream::start

Definition at line 410 of file fftools_ffmpeg.h.

## ◆ sub2video

struct InputStream::sub2video InputStream::sub2video

## ◆ subtitle

AVSubtitle InputStream::subtitle

Definition at line 451 of file fftools_ffmpeg.h.

## ◆ top_field_first

int InputStream::top_field_first

Definition at line 442 of file fftools_ffmpeg.h.

## ◆ ts_scale

double InputStream::ts_scale

Definition at line 438 of file fftools_ffmpeg.h.

## ◆ user_set_discard

int InputStream::user_set_discard

Definition at line 388 of file fftools_ffmpeg.h.

## ◆ want_frame_data

int InputStream::want_frame_data

Definition at line 394 of file fftools_ffmpeg.h.

## ◆ wrap_correction_done

int InputStream::wrap_correction_done

Definition at line 419 of file fftools_ffmpeg.h.

The documentation for this struct was generated from the following files:

- fftools_ffmpeg.h
- fftools_ffprobe.c